Subject: Re: Question about Cygwin License
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 19 Jun 2003 18:46:03 -0400

> * In message <[email-masked]>
> * On the subject of "Re: Question about Cygwin License"
> * Sent on Fri, 20 Jun 2003 00:13:16 +0200
> * Honorable Marcel Telka <[email-masked]> writes:
>
> On Thu, Jun 19, 2003 at 05:51:44PM -0400, Cary Lewis wrote:
> > I want to use cygwin with a proprietary system. 
> > 
> > As I do not want to publish my source code, I know I need a "breakout"
> > license from RedHat.
> > 
> > I am not changing cygwin, I am simply using the cygwin.dll to get a Unix 
> > based system to run under Windows.
> 
> Cite from GNU GPL <http://www.gnu.org/licenses/gpl.html>:
> 
> Activities other than copying, distribution and modification are not
> covered by this License; they are outside its scope. The act of
> running the Program is not restricted, and the output from the Program
> is covered only if its contents constitute a work based on the Program
> (independent of having been made by running the Program). Whether that
> is true depends on what the Program does.

linking against a GNU GPL (not LGPL!) library makes your program GPL,
even if the library is dynamic (DLL).

<http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/*checkout*/clisp/clisp/doc/Why-CLISP-is-under-GPL?rev=HEAD>

therefore, if you distribute a program which relies on cygwin.dll
(which, IIUC, is released under the GNU GPL), you have to either
release the source code under GNU GPL, or buy a different license from
the (C) holder (RedHat).

IANAL.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat9 GNU/Linux
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
An elephant is a mouse with an operating system.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/